Subject: Re: bug#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Oct 2020 09:38:28 +0200

> From: dinkonin <[email-masked]>
> Date: Thu, 29 Oct 2020 22:25:47 +0200
> 
> I'm having some trouble with flyspell using the enchant backend
> (setq ispell-program-name "enchant-2").
> 
> I have installed the latest enchant 2.2.12, without the
> optional finish and hebrew backends. Flyspell refuses to work with the
> above setting (no errors just does not detect anything ). Ive
> narrowed it down to this:
> 
> when flyspell loads it adds the following line n top of "ispell-enchant-dictionary-alist"
> 
> ((nil "[[:alpha:]]" "[^[:alpha:]]" "[\n** (process:98935): WARNING **:
> 22:05:56.283: Error loading plugin: libvoikko.so.1: cannot open shared
> object file: No such file or directory\n\n\n** (process:98935): WARNING
> **: 22:05:56.286: Error loading plugin: libhspell.so.0: cannot open
> shared object file: No such file or directory\n\n0123456789]" t nil nil
> utf-8)

These look like local configuration problems on your system, or some
bug in Enchant: it tells you that some shared libraries are missing.

> I've noticed that enchant-lsmod-2 also produces this error in the
> terminal, maybe STDERR should be omitted when generating
> ispell-enchant-dictionary-alist or shoud this be reported upstream to
> enchant ?

The latter, I think.  Reuben, can you please comment?